features:
  secondary:
    - name: "Pipeline success after failure notification"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/profile/notifications#notifications-on-issues-merge-requests-and-epics'
      reporter: ogolowinski
      stage: release
      categories:
        - 'Continuous Delivery'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/24309'
      description: |
        Each time a pipeline fails, you automatically receive an email notification. However, when the pipeline succeeds after failure, no automatic notification is sent, which requires you to manually check the pipeline's status. In this release, we are excited to include a community contribution by [@jacopo-beschi](https://gitlab.com/jacopo-beschi) that solves this problem by automatically notifying you if a pipeline succeeds after a failure.
